Uploaded image for project: 'Groovy'
  1. Groovy
  2. GROOVY-3884

InvokerHelper.getVersion() should also work on Google App Engine

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.7-beta-2
    • Fix Version/s: 1.6.6, 1.7-rc-1
    • Component/s: None
    • Labels:
      None

      Description

      Right now, InvokerHelper.getVersion() does nothing on GAE.
      Talking about version numbers, I suggest to create a GroovyVersion class that is focused on version numbers and is clearly part of the public API. People shouldn't have to use InvokerHelper to retrieve the version number.

        Attachments

        1. 3884_v17x_GroovyVersion_Patch.txt
          6 kB
          Roshan Dawrani
        2. 3884_v17x_v2.txt
          6 kB
          Roshan Dawrani
        3. 3884_v17x_v3.txt
          9 kB
          Roshan Dawrani
        4. 3884_v17x.txt
          5 kB
          Roshan Dawrani

          Activity

            People

            • Assignee:
              roshandawrani Roshan Dawrani
              Reporter:
              pniederw Peter Niederwieser
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: